> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryprofound.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Answers



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/profound/openapi.documented.yml post /v1/prompts/answers
openapi: 3.1.0
info:
  title: External API
  version: 6c43b49565a0c4e7cb023e22242cc3df28ee7153
servers:
  - url: https://api.tryprofound.com
    description: Production Server
security: []
paths:
  /v1/prompts/answers:
    post:
      tags:
        - Prompts
      summary: Get Answers
      operationId: get_answers_v1_prompts_answers_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnswersQuery'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnswersResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Profound from '@profoundai/client';

            const client = new Profound({
              apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.prompts.answers({
              category_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
              end_date: '2019-12-27T18:11:19.117Z',
              start_date: '2019-12-27T18:11:19.117Z',
            });

            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from datetime import datetime
            from profound import Profound

            client = Profound(
                api_key=os.environ.get("PROFOUND_API_KEY"),  # This is the default and can be omitted
            )
            response = client.prompts.answers(
                category_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                end_date=datetime.fromisoformat("2019-12-27T18:11:19.117"),
                start_date=datetime.fromisoformat("2019-12-27T18:11:19.117"),
            )
            print(response.data)
components:
  schemas:
    AnswersQuery:
      properties:
        category_id:
          type: string
          format: uuid
          title: Category Id
        start_date:
          type: string
          format: date-time
          title: Start Date
        end_date:
          type: string
          format: date-time
          title: End Date
        pagination:
          $ref: '#/components/schemas/Pagination'
          description: >-
            Pagination parameters for the results. Default is 10,000 rows with
            no offset.
        filters:
          items:
            oneOf:
              - $ref: '#/components/schemas/RegionIdFilter'
              - $ref: '#/components/schemas/RegionNameFilter'
              - $ref: '#/components/schemas/ModelIdFilter'
              - $ref: '#/components/schemas/TagIdFilter'
              - $ref: '#/components/schemas/AnalysisTypeFilter'
              - $ref: '#/components/schemas/PromptTypeFilter'
              - $ref: '#/components/schemas/PromptFilter'
              - $ref: '#/components/schemas/PersonaIdFilter'
              - $ref: '#/components/schemas/TopicIdFilter'
              - $ref: '#/components/schemas/AssetIdFilter'
              - $ref: >-
                  #/components/schemas/profound_answer_engine_insights__filters__AssetNameFilter
            discriminator:
              propertyName: field
              mapping:
                analysis_type:
                  $ref: '#/components/schemas/AnalysisTypeFilter'
                asset_id:
                  $ref: '#/components/schemas/AssetIdFilter'
                asset_name:
                  $ref: >-
                    #/components/schemas/profound_answer_engine_insights__filters__AssetNameFilter
                model:
                  $ref: '#/components/schemas/ModelIdFilter'
                model_id:
                  $ref: '#/components/schemas/ModelIdFilter'
                persona_id:
                  $ref: '#/components/schemas/PersonaIdFilter'
                prompt:
                  $ref: '#/components/schemas/PromptFilter'
                prompt_type:
                  $ref: '#/components/schemas/PromptTypeFilter'
                region:
                  $ref: '#/components/schemas/RegionIdFilter'
                region_id:
                  $ref: '#/components/schemas/RegionIdFilter'
                region_name:
                  $ref: '#/components/schemas/RegionNameFilter'
                tag:
                  $ref: '#/components/schemas/TagIdFilter'
                tag_id:
                  $ref: '#/components/schemas/TagIdFilter'
                topic:
                  $ref: '#/components/schemas/TopicIdFilter'
                topic_id:
                  $ref: '#/components/schemas/TopicIdFilter'
          type: array
          title: Filters
          description: List of filters to apply to the answers report.
        include:
          $ref: '#/components/schemas/EnabledFieldsResponse'
      type: object
      required:
        - category_id
        - start_date
        - end_date
      title: AnswersQuery
      description: Body for the answers endpoint.
    AnswersResponse:
      properties:
        info:
          $ref: '#/components/schemas/AnswersResponseInfo'
        data:
          items:
            $ref: '#/components/schemas/AnswersRawData'
          type: array
          title: Data
      type: object
      required:
        - info
        - data
      title: AnswersResponse
      description: Response for the answers endpoint.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Pagination:
      properties:
        limit:
          type: integer
          maximum: 50000
          exclusiveMinimum: 0
          title: Limit
          description: >-
            Maximum number of results to return. Default is 10,000, maximum is
            50,000.
          default: 10000
        offset:
          type: integer
          minimum: 0
          title: Offset
          description: Offset for the results. Used for pagination.
          default: 0
      type: object
      title: Pagination
      description: Offset-based pagination parameters.
    RegionIdFilter:
      properties:
        field:
          anyOf:
            - type: string
              const: region_id
            - type: string
              const: region
              deprecated: true
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
              format: uuid
            - items:
                type: string
                format: uuid
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: RegionIdFilter
      description: Filter by region UUID.
    RegionNameFilter:
      properties:
        field:
          type: string
          const: region_name
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
            - contains
            - not_contains
            - matches
            - contains_case_insensitive
            - not_contains_case_insensitive
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: RegionNameFilter
      description: Filter by region name.
    ModelIdFilter:
      properties:
        field:
          anyOf:
            - type: string
              const: model_id
            - type: string
              const: model
              deprecated: true
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
              format: uuid
            - items:
                type: string
                format: uuid
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: ModelIdFilter
      description: Filter by AI model/platform UUID.
    TagIdFilter:
      properties:
        field:
          anyOf:
            - type: string
              const: tag_id
            - type: string
              const: tag
              deprecated: true
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
              format: uuid
            - items:
                type: string
                format: uuid
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: TagIdFilter
      description: Filter by tag (prompt group) UUID.
    AnalysisTypeFilter:
      properties:
        field:
          type: string
          const: analysis_type
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
            - contains
            - not_contains
            - matches
            - contains_case_insensitive
            - not_contains_case_insensitive
          title: Operator
        value:
          anyOf:
            - type: string
              enum:
                - visibility
                - sentiment
                - sentiment_v2
                - accuracy
            - items:
                type: string
                enum:
                  - visibility
                  - sentiment
                  - sentiment_v2
                  - accuracy
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: AnalysisTypeFilter
      description: Filter by analysis type (visibility, sentiment, or accuracy).
    PromptTypeFilter:
      properties:
        field:
          type: string
          const: prompt_type
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
            - contains
            - not_contains
            - matches
            - contains_case_insensitive
            - not_contains_case_insensitive
          title: Operator
        value:
          anyOf:
            - type: string
              enum:
                - visibility
                - sentiment
            - items:
                type: string
                enum:
                  - visibility
                  - sentiment
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: PromptTypeFilter
      description: |-
        Filter by prompt type (visibility or sentiment).

        .. deprecated::
            Use :class:`AnalysisTypeFilter` instead. ``prompt_type`` is normalised
            to ``analysis_type`` at parse time.
    PromptFilter:
      properties:
        field:
          type: string
          const: prompt
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
            - contains
            - not_contains
            - matches
            - contains_case_insensitive
            - not_contains_case_insensitive
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: PromptFilter
      description: Filter by prompt text
    PersonaIdFilter:
      properties:
        field:
          type: string
          const: persona_id
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
              format: uuid
            - items:
                type: string
                format: uuid
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: PersonaIdFilter
      description: Filter by persona UUID.
    TopicIdFilter:
      properties:
        field:
          anyOf:
            - type: string
              const: topic_id
            - type: string
              const: topic
              deprecated: true
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
              format: uuid
            - items:
                type: string
                format: uuid
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: TopicIdFilter
      description: Filter by topic UUID.
    AssetIdFilter:
      properties:
        field:
          type: string
          const: asset_id
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
          title: Operator
        value:
          anyOf:
            - type: string
              format: uuid
            - items:
                type: string
                format: uuid
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: AssetIdFilter
    profound_answer_engine_insights__filters__AssetNameFilter:
      properties:
        field:
          type: string
          const: asset_name
          title: Field
        operator:
          type: string
          enum:
            - is
            - not_is
            - in
            - not_in
            - contains
            - not_contains
            - matches
            - contains_case_insensitive
            - not_contains_case_insensitive
          title: Operator
        value:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
          title: Value
      type: object
      required:
        - field
        - operator
        - value
      title: AssetNameFilter
      description: Filter by asset name
    EnabledFieldsResponse:
      properties:
        run_id:
          type: boolean
          title: Run Id
          default: false
        created_at:
          type: boolean
          title: Created At
          default: true
        prompt:
          type: boolean
          title: Prompt
          default: true
        prompt_id:
          type: boolean
          title: Prompt Id
          default: false
        mentions:
          type: boolean
          title: Mentions
          default: true
        analysis_types:
          type: boolean
          title: Analysis Types
          default: false
        prompt_type:
          type: boolean
          title: Prompt Type
          default: true
          deprecated: true
        response:
          type: boolean
          title: Response
          default: true
        citations:
          type: boolean
          title: Citations
          default: true
        citation_details:
          type: boolean
          title: Citation Details
          default: false
        web_search_results:
          type: boolean
          title: Web Search Results
          default: false
        search_triggered:
          type: boolean
          title: Search Triggered
          default: false
        themes:
          type: boolean
          title: Themes
          description: Use 'sentiment_themes' instead
          default: true
          deprecated: true
        sentiment_themes:
          type: boolean
          title: Sentiment Themes
          description: Uses legacy sentiment data.
          default: false
        topic:
          type: boolean
          title: Topic
          default: true
        topic_id:
          type: boolean
          title: Topic Id
          default: false
        region:
          type: boolean
          title: Region
          default: true
        model:
          type: boolean
          title: Model
          default: true
        model_id:
          type: boolean
          title: Model Id
          default: true
        asset:
          type: boolean
          title: Asset
          default: true
        asset_id:
          type: boolean
          title: Asset Id
          default: false
        tags:
          type: boolean
          title: Tags
          default: false
        search_queries:
          type: boolean
          title: Search Queries
          default: false
        persona:
          type: boolean
          title: Persona
          default: false
      type: object
      title: EnabledFieldsResponse
    AnswersResponseInfo:
      properties:
        total_rows:
          type: integer
          title: Total Rows
      type: object
      required:
        - total_rows
      title: AnswersResponseInfo
    AnswersRawData:
      properties:
        run_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Run Id
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
        prompt_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Prompt Id
        mentions:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Mentions
        analysis_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Analysis Types
        prompt_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Type
        response:
          anyOf:
            - type: string
            - type: 'null'
          title: Response
        citations:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Citations
        citation_details:
          anyOf:
            - items:
                $ref: '#/components/schemas/CitationDetail'
              type: array
            - type: 'null'
          title: Citation Details
        web_search_results:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Web Search Results
        search_triggered:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Search Triggered
        themes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Themes
        sentiment_themes:
          anyOf:
            - items:
                $ref: '#/components/schemas/SentimentTheme'
              type: array
            - type: 'null'
          title: Sentiment Themes
          description: Uses legacy sentiment data.
        search_queries:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Search Queries
        topic:
          anyOf:
            - type: string
            - type: 'null'
          title: Topic
        topic_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Topic Id
        region:
          anyOf:
            - type: string
            - type: 'null'
          title: Region
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
        model_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Model Id
        asset:
          anyOf:
            - type: string
            - type: 'null'
          title: Asset
        asset_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Asset Id
        tags:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tags
        persona:
          anyOf:
            - type: string
            - type: 'null'
          title: Persona
      type: object
      title: AnswersRawData
      description: Raw data for the answers endpoint.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    CitationDetail:
      properties:
        url:
          type: string
          title: Url
        clean_url:
          type: string
          title: Clean Url
        title:
          type: string
          title: Title
        text:
          anyOf:
            - type: string
            - type: 'null'
          title: Text
        hostname:
          type: string
          title: Hostname
        path:
          type: string
          title: Path
        first_cited_at:
          anyOf:
            - type: string
            - type: 'null'
          title: First Cited At
        positions:
          items:
            type: integer
          type: array
          title: Positions
        groups:
          anyOf:
            - items:
                $ref: '#/components/schemas/CitationDetailGroup'
              type: array
            - type: 'null'
          title: Groups
        citation_category:
          anyOf:
            - type: string
            - type: 'null'
          title: Citation Category
      type: object
      required:
        - url
        - clean_url
        - title
        - hostname
        - path
      title: CitationDetail
    SentimentTheme:
      properties:
        type:
          anyOf:
            - type: string
              const: positive
            - type: string
              const: negative
          title: Type
        name:
          type: string
          title: Name
      type: object
      required:
        - type
        - name
      title: SentimentTheme
    CitationDetailGroup:
      properties:
        group_id:
          type: integer
          title: Group Id
        group_position:
          type: integer
          title: Group Position
      type: object
      required:
        - group_id
        - group_position
      title: CitationDetailGroup
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    BearerAuth:
      type: http
      scheme: bearer

````